#![doc = include_str!("../README.md")]

mod cli;
mod client_management;
mod config;
mod error;
mod group_management;
mod jwt;
mod key;
mod role_management;
mod schema;
mod scope_management;
// mod server;
mod token;
mod token_management;
mod user;
mod user_management;

pub use error::UIDCError;

fn main() {
    stderrlog::new()
        .module(module_path!())
        .module("tide")
        .show_module_names(true)
        .timestamp(stderrlog::Timestamp::Millisecond)
        .verbosity(10)
        .init()
        .unwrap();

    // tide::log::with_level(log::LevelFilter::Trace);

    cli::invoked();
}
