pub use serde::{Serialize,Deserialize};

#[derive(Deserialize)]
pub struct AuthorizationRequestQuery {
    response_type: String,
    client_id: String,
    redirect_uri: String,
    scope: Option<String>,
    state: Option<String>
}

#[derive(Serialize)]
pub struct AuthorizationResponse {
    response_type: String,
    state: Option<String>,
    code: Option<String>,
}

#[derive(Serialize)]
pub enum AuthorizationResponseErrorType {
    InvalidRequest,
    UnauthorizedClient,
    AccessDenied,
    UnsupportedResponseType,
    InvalidScope,
    ServerError,
    TemporarilyUnavailable
}

#[derive(Serialize)]
pub struct AuthorizationResponseError {
    state: Option<String>,
    error: AuthorizationResponseErrorType
}

#[derive(Deserialize)]
pub struct TokenRequestParameters {
    
}

#[derive(Serialize)]
pub struct TokenResponse {
    
}
